<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Amyra
 * @since 1.0
 */


$social_footer  = amyra_get_theme_mod( 'footer_social' );
$facebook 		= amyra_get_theme_mod( 'facebook' );	
$twitter 		= amyra_get_theme_mod( 'twitter' );
$linkedin 		= amyra_get_theme_mod( 'linkedin' );
$behance 		= amyra_get_theme_mod( 'behance' );	
$dribbble 		= amyra_get_theme_mod( 'dribbble' );
$instagram 		= amyra_get_theme_mod( 'instagram' );
$youtube 		= amyra_get_theme_mod( 'youtube' );
$pinterest 		= amyra_get_theme_mod( 'pinterest' );
?>

	</div><!-- #content -->
	
	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if (is_active_sidebar( 'amyra-intsgram-feed' ) ) { ?>
			<div class="amyra-intsgram-area">
				<?php dynamic_sidebar( 'amyra-intsgram-feed' ); ?>
			</div>
		<?php } ?>		
		<?php if (is_active_sidebar( 'footer' ) ) { ?>
		<div class="footer-middle-widget-area clearfix">
			<div class="container">					
					<?php dynamic_sidebar( 'footer' ); ?>
			</div>
		</div>
		<?php } ?>
		<div class="site-info">
			<div class="container">
			<?php if(!empty($social_footer) ) { ?>		
				<div class="amyra-social-networks amyra-social-networks-footer">
                        <?php if(!empty($facebook) ) { ?>	
                       		<a href="<?php echo esc_url($facebook); ?>" title="Facebook" target="_blank" class="amyra-social-network-icon amyra-facebook-icon"><i class="fa fa-facebook"></i> <span class="amyra-social-text"><?php esc_html_e( 'facebook', 'amyra' ); ?></span></a>
						<?php } 
						if(!empty($twitter) ) { ?>	
							<a href="<?php echo esc_url($twitter); ?>" title="Twitter" target="_blank" class="amyra-social-network-icon amyra-twitter-icon"><i class="fa fa-twitter"></i> <span class="amyra-social-text"><?php esc_html_e( 'Twitter', 'amyra' ); ?></span></a>
						<?php } 
						if(!empty($linkedin) ) { ?>	
							<a href="<?php echo esc_url($linkedin); ?>" title="LinkedIn" target="_blank" class="amyra-social-network-icon amyra-linkedin-icon"><i class="fa fa-linkedin"></i> <span class="amyra-social-text"><?php esc_html_e( 'LinkedIn', 'amyra' ); ?></span></a>
						<?php } 
						if(!empty($youtube)) { ?>		
							<a href="<?php echo esc_url($youtube); ?>" title="YouTube" target="_blank" class="amyra-social-network-icon amyra-youtube-icon"><i class="fa fa-youtube"></i> <span class="amyra-social-text"><?php esc_html_e( 'YouTube', 'amyra' ); ?></span></a>				
						<?php } 
						if(!empty($instagram) ) { ?>		
							<a href="<?php echo esc_url($instagram); ?>" title="instagram" target="_blank" class="amyra-social-network-icon amyra-instagram-icon"><i class="fa fa-instagram"></i> <span class="amyra-social-text"><?php esc_html_e( 'instagram', 'amyra' ); ?></span></a>				
						<?php } 
						if(!empty($behance) ) { ?>		
							<a href="<?php echo esc_url($behance); ?>" title="behance" target="_blank" class="amyra-social-network-icon amyra-behance-icon"><i class="fa fa-behance"></i> <span class="amyra-social-text"><?php esc_html_e( 'behance', 'amyra' ); ?></span></a>				
						<?php } 

						if(!empty($dribbble) ) { ?>		
							<a href="<?php echo esc_url($dribbble); ?>" title="dribbble" target="_blank" class="amyra-social-network-icon amyra-dribbble-icon"><i class="fa fa-dribbble"></i> <span class="amyra-social-text"><?php esc_html_e( 'dribbble', 'amyra' ); ?></span></a>				
						<?php } 

						if(!empty($pinterest) ) { ?>		
							<a href="<?php echo esc_url($pinterest); ?>" title="pinterest" target="_blank" class="amyra-social-network-icon amyra-pinterest-icon"><i class="fa fa-pinterest"></i> <span class="amyra-social-text"><?php esc_html_e( 'pinterest', 'amyra' ); ?></span></a>				
						<?php } ?>					
				</div>
			<?php } ?>	
				
			<div class="site-copyright clearfix"> 
				<div class="amyra-col-<?php echo (has_nav_menu('footer'))?'6':'12'; ?> amyra-columns copyright"><?php	echo amyra_footer_copyright(); ?></div>	
				<?php if(has_nav_menu('footer')){ ?>
				<div class="amyra-col-6 amyra-columns"><?php  if(has_nav_menu('footer')){ wp_nav_menu( array( 'theme_location' => 'footer','menu_id' => 'footer-menu' ) ); } ?></div>
				<?php } ?>	
			</div>				
		</div><!-- .site-info -->
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<nav class="mobile-navigation" role="navigation">
	<?php
	wp_nav_menu( array(
		'container_class' => 'mobile-menu',
		'menu_class'      => 'mobile-menu clearfix',
		'theme_location'  => 'menu-1',
		'items_wrap'      => '<ul>%3$s</ul>',
	) );
	?>
</nav>
<a href="#" class="scroll-to-top hidden"><i class="fa fa-angle-up"></i></a>

<?php wp_footer(); ?>

</body>
</html>
