<?php
/**
 * The header for our theme
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Amyra
 * @since 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'amyra' ); ?></a>
	<?php	 
	  $wpostheme_enabale_fp     = amyra_get_theme_mod( 'enabale-featured-post' );
	  $fc_post_layout 	    	= amyra_get_theme_mod( 'fc_post_layout' );		
	  $fp_full_width            = amyra_get_theme_mod( 'show_fc_post_full' );
	 
	?>
	<header id="masthead" class="site-header" role="banner">
	<?php   $header_social  = amyra_get_theme_mod( 'header_social' );				  
			$facebook       = amyra_get_theme_mod( 'facebook' );	
			$twitter        = amyra_get_theme_mod( 'twitter' );
			$linkedin       = amyra_get_theme_mod( 'linkedin' );
			$behance        = amyra_get_theme_mod( 'behance' );	
			$dribbble       = amyra_get_theme_mod( 'dribbble' );
			$instagram      = amyra_get_theme_mod( 'instagram' );
			$youtube        = amyra_get_theme_mod( 'youtube' );
			$pinterest      = amyra_get_theme_mod( 'pinterest' );			
		?>	 

<div class="header-content">		
            <div class="header-content__container container">
                    <nav id="site-navigation" class="main-navigation" role="navigation">
                            <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Menu', 'amyra' ); ?></button>
                            <?php wp_nav_menu( array(
                                    'theme_location' => 'menu-1',
                                    'menu_id' => 'primary-menu',
                            ) ); ?>
                    </nav><!-- #site-navigation -->

                    <?php if(!empty($header_social) ) { ?>			
                            <div class="amyra-social-networks amyra-social-networks-header">
                                    <?php if(!empty($facebook) ) { ?>	
                                            <a href="<?php echo esc_url($facebook); ?>" title="Facebook" target="_blank" class="amyra-social-network-icon amyra-facebook-icon"><i class="fa fa-facebook"></i></a>
                                    <?php } 
                                    if(!empty($twitter) ) { ?>	
                                            <a href="<?php echo esc_url($twitter); ?>" title="Twitter" target="_blank" class="amyra-social-network-icon amyra-twitter-icon"><i class="fa fa-twitter"></i></a>
                                    <?php } 
                                    if(!empty($linkedin) ) { ?>	
                                            <a href="<?php echo esc_url($linkedin); ?>" title="LinkedIn" target="_blank" class="amyra-social-network-icon amyra-linkedin-icon"><i class="fa fa-linkedin"></i></a>
                                    <?php } 
                                    if(!empty($youtube)) { ?>		
                                            <a href="<?php echo esc_url($youtube); ?>" title="YouTube" target="_blank" class="amyra-social-network-icon amyra-youtube-icon"><i class="fa fa-youtube"></i></a>				
                                    <?php } 
                                    if(!empty($instagram) ) { ?>		
                                            <a href="<?php echo esc_url($instagram); ?>" title="instagram" target="_blank" class="amyra-social-network-icon amyra-instagram-icon"><i class="fa fa-instagram"></i></a>				
                                    <?php } 
                                    if(!empty($behance) ) { ?>		
                                            <a href="<?php echo esc_url($behance); ?>" title="behance" target="_blank" class="amyra-social-network-icon amyra-behance-icon"><i class="fa fa-behance"></i></a>				
                                    <?php } 
                                    if(!empty($dribbble) ) { ?>     
                                            <a href="<?php echo esc_url($dribbble); ?>" title="dribbble" target="_blank" class="amyra-social-network-icon amyra-dribbble-icon"><i class="fa fa-dribbble"></i></a>             
                                    <?php }

                                    if(!empty($pinterest) ) { ?>      
                                            <a href="<?php echo esc_url($pinterest); ?>" title="pinterest" target="_blank" class="amyra-social-network-icon amyra-pinterest-icon"><i class="fa fa-pinterest"></i></a>             
                                    <?php } ?>				
                            </div>
                    <?php } ?>	
                   
                    <div class="header-search">
                            <button class="header-search__click">
                                    <i class="fa fa-search"></i>
                                    <span class="screen-reader-text"><?php esc_attr_e( 'Open Search Popup', 'amyra' ); ?></span>
                            </button>
                            <div class="header-search__wrapper">
                                    <?php get_search_form(); ?>
                                    <button class="header-search__click header-search__close">
                                            <i class="fa fa-close"></i>
                                            <span class="screen-reader-text"><?php esc_attr_e( 'Close Search Popup', 'amyra' ); ?></span>
                                    </button>
                            </div>
                    </div><!-- .header-search -->
                  
            </div>
    </div><!-- .header-content -->
    <div class="site-branding container">
                    <?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) { ?>
                                <?php the_custom_logo(); ?>
                    <?php } else { ?>
                                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                                <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                    <?php } ?>

    </div><!-- .logo -->		
	</header><!-- #masthead -->	
	<?php if( amyra_fcs_display() ) { ?>
		<div class="clearfix featured-posts <?php if(empty($fp_full_width)) { ?> container <?php } else { ?> container container-full-width <?php } ?>">
			 <?php echo do_shortcode($fc_post_layout); ?>
		</div>
	<?php } ?>	
	<div id="content" class="site-content container">