<?php
/**
 * Public Class
 *
 * Handles the public side functionality of plugin
 *
 * @package Amyra
 * @since 1.0
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

class Wpiclt_Tp_Public {
	
	function __construct() {
		// Ajax call to update post count
		add_action( 'wp_ajax_amyra_tp_post_view_count', array($this, 'amyra_tp_post_view_count') );
		add_action( 'wp_ajax_nopriv_amyra_tp_post_view_count',array( $this, 'amyra_tp_post_view_count') );

		// calling loader in footer
		add_action( 'wp_footer', array($this,'amyra_loader_function'), 100 );

	}

	/**
	 * Function to update views of post
	 * 
	 * @package Amyra
	 * @since 1.0
	 */
	function amyra_tp_post_view_count() {
		
		$prefix		= AMYRA_META_PREFIX;
		$post_id 	= isset($_POST['post_id']) ? $_POST['post_id'] : '';
		
		if( !empty($post_id) ) {
			
			// Getting existing views
			$views = get_post_meta( $post_id, $prefix.'views', true );
			$views = !empty($views) ? $views : 0;
			
			// Update new views
			update_post_meta( $post_id, $prefix.'views', ($views+1) );
			
			esc_html_e('Success', 'amyra') ;
                        
		} else {
                    
                        esc_html_e('Error - Reference Id not found.', 'amyra') ;
			
		}
		die();
	}

	function amyra_loader_function() { 
		$show_loader 		= amyra_get_theme_mod( 'show_loader' );
		$loader_img 		= amyra_get_theme_mod( 'loader_img' );
		if( !empty($loader_img) ){
			$url = $loader_img;
		}else{

			$url = AMYRA_URL."/assets/images/spinner-1.gif";
		}
		if($show_loader == 1){ ?>
			<style type="text/css">
				.se-pre-con {background: url(<?php echo $url; ?>) center no-repeat #fff;}
			</style>
	    	<div class="se-pre-con"></div>
	    	<script>
	           jQuery(window).load(function() {
					// Animate loader off screen
					jQuery(".se-pre-con").fadeOut('slow');
				});
	        </script>
	        <?php
        }
	}
}

$amyra_tp_Public = new Wpiclt_Tp_Public();